CVE Vulnerabilities

CVE-2001-1166

Published: Aug 21, 2001 | Modified: Sep 05, 2008
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
5 MEDIUM
AV:N/AC:L/Au:N/C:P/I:N/A:N
RedHat/V2
RedHat/V3
Ubuntu

linprocfs on FreeBSD 4.3 and earlier does not properly restrict access to kernel memory, which allows one process with debugging rights on a privileged process to read restricted memory from that process.

Affected Software

Name Vendor Start Version End Version
Freebsd Freebsd 4.0 4.0
Freebsd Freebsd 4.1 4.1
Freebsd Freebsd 4.2 4.2
Freebsd Freebsd 4.3 4.3

References